Subject: bug#54010: Linux-libre > 5.15.12 leads to unbootable system

From: Squirrel <[email-masked]>
Date: Wed, 16 Feb 2022 00:39:46 +0800

Have you tried blacklisting the the iwlwifi kernel module on boot by 
adding (kernel-arguments '("modprobe.blacklist=iwlwifi")) to 
operating-system declaration? The problem may be a bug from upstream 
linux. Please see 
https://lore.kernel.org/all/20220203161959.3edf1d6e@valencia/

For your reference, there is a similar thread (bug#53712: Guix System 
hangs after boot with linux-libre 5.15.17) in bug-guix at 
https://lists.gnu.org/archive/html/bug-guix/2022-02/msg00012.html

The patch for it has just been applied in the newest upstream kernel 
releases. (https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.15.23)